toolkit/themes/moz.build
author Mike Conley <mconley@mozilla.com>
Fri, 10 Apr 2015 13:45:22 -0400
changeset 257771 40a21375b99be21a55df2a7c415ccf240715922f
parent 252144 d7310f807bdddd8a6ed22da4956d60609a943302
child 293467 98befa2ee036966fc2f21b674ed3c5dae680372d
permissions -rw-r--r--
Bug 1152864 - Disable unsafe CPOW warnings when running mochitests by default, and add option to re-enable. r=ahal. --enable-cpow-warnings can now be passed when running a mochitest to re-enable the warnings, should one wish to do that.

# -*- Mode: python; c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 40 -*-
# vim: set filetype=python:
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Theme Selection
#
# MacOS X                 osx (toolkit/themes/osx)
# Windows                 windows (toolkit/themes/windows)
# GNOME/Linux             windows (toolkit/themes/windows) + 
#                         linux overrides (toolkit/themes/linux)
# faststripe              windows + faststripe (no native theme components)

toolkit = CONFIG['MOZ_WIDGET_TOOLKIT']

if toolkit == 'cocoa':
    DIRS += ['osx']
else:
    DIRS += ['windows']

    if toolkit in ('gtk2', 'gtk3', 'qt'):
        DIRS += ['linux']
    elif CONFIG['MOZ_THEME_FASTSTRIPE']:
        DIRS += ['faststripe/global']

with Files('**'):
    BUG_COMPONENT = ('Toolkit', 'Themes')